Music generation
Create royalty-free background music from a description of the mood you want. Control duration and style for soundtracks, intros and stings.
#Generate music
Enqueue a job to generate music from a text prompt describing genre, instruments, tempo, and structure.
https://api.rendley.com/v1/ai/generate-musicDon't have one? Create an API key
Which model to use. Changing it updates the params below.
Model-specific parameters. The fields listed for the selected model.
Text prompt describing the music
Music clip duration in seconds
const res = await fetch("https://api.rendley.com/v1/ai/generate-music", {
method: "POST",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"params": {
"prompt": "Warm lo-fi beat, relaxed tempo"
},
"model_id": "eleven-labs-music"
}),
});
const { data } = await res.json();curl -X POST "https://api.rendley.com/v1/ai/generate-music" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"params": {
"prompt": "Warm lo-fi beat, relaxed tempo"
},
"model_id": "eleven-labs-music"
}'import requests
res = requests.post(
"https://api.rendley.com/v1/ai/generate-music",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"params": {
"prompt": "Warm lo-fi beat, relaxed tempo"
},
"model_id": "eleven-labs-music"
},
)
data = res.json()["data"]$ch = curl_init("https://api.rendley.com/v1/ai/generate-music");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "Content-Type: application/json"]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(["params" => ["prompt" => "Warm lo-fi beat, relaxed tempo"], "model_id" => "eleven-labs-music"]));
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true)["data"];package main
import (
"fmt"
"io"
"net/http"
"bytes"
)
func main() {
body := bytes.NewBufferString(`{
"params": {
"prompt": "Warm lo-fi beat, relaxed tempo"
},
"model_id": "eleven-labs-music"
}`)
req, _ := http.NewRequest("POST", "https://api.rendley.com/v1/ai/generate-music", body)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
b, _ := io.ReadAll(res.Body)
fmt.Println(string(b))
}require "net/http"
require "json"
uri = URI("https://api.rendley.com/v1/ai/generate-music")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["Content-Type"] = "application/json"
req.body = { params: { prompt: "Warm lo-fi beat, relaxed tempo" }, model_id: "eleven-labs-music" }.to_json
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)["data"]Response
{
"data": {
"job_id": "d97241f2-e1e4-4651-b078-8663fc35c584"
}
}#Calculate music generation cost
Calculate the credit cost of generating music from a text prompt.
https://api.rendley.com/v1/ai/generate-music/costDon't have one? Create an API key
Which model to use. Changing it updates the params below.
Model-specific parameters. The fields listed for the selected model.
Text prompt describing the music
Music clip duration in seconds
const res = await fetch("https://api.rendley.com/v1/ai/generate-music/cost", {
method: "POST",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"params": {
"prompt": "Warm lo-fi beat, relaxed tempo"
},
"model_id": "eleven-labs-music"
}),
});
const { data } = await res.json();curl -X POST "https://api.rendley.com/v1/ai/generate-music/cost" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"params": {
"prompt": "Warm lo-fi beat, relaxed tempo"
},
"model_id": "eleven-labs-music"
}'import requests
res = requests.post(
"https://api.rendley.com/v1/ai/generate-music/cost",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"params": {
"prompt": "Warm lo-fi beat, relaxed tempo"
},
"model_id": "eleven-labs-music"
},
)
data = res.json()["data"]$ch = curl_init("https://api.rendley.com/v1/ai/generate-music/cost");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "Content-Type: application/json"]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(["params" => ["prompt" => "Warm lo-fi beat, relaxed tempo"], "model_id" => "eleven-labs-music"]));
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true)["data"];package main
import (
"fmt"
"io"
"net/http"
"bytes"
)
func main() {
body := bytes.NewBufferString(`{
"params": {
"prompt": "Warm lo-fi beat, relaxed tempo"
},
"model_id": "eleven-labs-music"
}`)
req, _ := http.NewRequest("POST", "https://api.rendley.com/v1/ai/generate-music/cost", body)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
b, _ := io.ReadAll(res.Body)
fmt.Println(string(b))
}require "net/http"
require "json"
uri = URI("https://api.rendley.com/v1/ai/generate-music/cost")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["Content-Type"] = "application/json"
req.body = { params: { prompt: "Warm lo-fi beat, relaxed tempo" }, model_id: "eleven-labs-music" }.to_json
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)["data"]Response
{
"data": 0
}